﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<RealDolmenMobile.Web.Models.ListPostsModel>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	RealDolmen Blogs
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div data-role="page">

	    <div data-role="header">
		    <h1>RealDolmen Blogs</h1>
	    </div>

	    <div data-role="content">	
		    <ul data-role="listview">
                <li data-role="list-divider">Posts by employees<span class="ui-li-count"><%:Model.Posts.Count()%></span></li> 
                <%
                    foreach (var post in Model.Posts)
                    {
                %>
			    <li> 
				    <h3><%:Html.ActionLink(post.Title, "Post", new { title = post.Title })%></h3> 
				    <p class="ui-li-aside">Published: <%:post.PublishedOn.ToString()%></p> 
			    </li> 
                <%
                    }
                %>
		    </ul>
	    </div>

	    <div data-role="footer">
		    <h4>&nbsp;</h4>
	    </div>
    </div>
</asp:Content>
